/* * 版 本 PIT-ADMS V7.0.3 敏捷开发框架
 * Copyright (c) 2013-2018 Hexagon PPM
 * 创建人：超级管理员
 * 日  期：2022-02-28 14:47
 * 描  述：扩展点表
 */
var acceptClick;
var keyValue = request('keyValue');
var ProjectId = request('ProjectId');
var Wire_Group_ID = request('Wire_Group_ID'); //会是“”因为从index界面点击编辑按钮时，没有这个参数

var bootstrap = function ($, learun) {
    "use strict";
    var page = {
        init: function () {
            page.bind();
            page.initData();
        },
        bind: function () {
            $('#Wire_Group_ID').val(Wire_Group_ID);
        },
        initData: function () {
            if (!!keyValue) {
                $.lrSetForm(top.$.rootUrl + '/ZZDT_EC/ec_Softtag/GetFormData?keyValue=' + keyValue + "&ProjectId=" + ProjectId, function (data) {
                    for (var id in data) {
                        if (!!data[id] && data[id].length > 0) {
                            $('#' + id).jfGridSet('refreshdata', data[id]);
                        }
                        else {
                            $('[data-table="' + id + '"]').lrSetFormData(data[id]);
                        }
                    }
                });
            }
        }
    };
    // 保存数据
    acceptClick = function (callBack) {
        if (!$('#form').lrValidform()) {
            return false;
        }
        //文字特殊字符及最大长度检测
        if (!verify()) {
            return false;
        }
        var formData = $('#form').lrGetFormData();
        var postData = {
            strEntity: JSON.stringify(formData)
        }
        $.lrSaveForm(top.$.rootUrl + '/ZZDT_EC/ec_Softtag/SaveForm?keyValue=' + keyValue + "&ProjectId=" + ProjectId, postData, function (res) {
            // 保存成功后才回调
            if (!!callBack) {
                callBack();
            }
        });
    };
    page.init();
}
//文字特殊字符及最大长度检测
function verify() {
    var msg = checkStr($("#CS_TAG_NAME").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#CS_TAG_NAME"), msg);
        $('#CS_TAG_NAME').click();
        return false;
    }
    msg = checkStr($("#Description").val(), 255);
    if (msg) {
        $.lrValidformMessage($("#Description"), msg);
        $('#Description').click();
        return false;
    }
    msg = checkStr($("#DescriptionEN").val(), 255);
    if (msg) {
        $.lrValidformMessage($("#DescriptionEN"), msg);
        $('#DescriptionEN').click();
        return false;
    }
    msg = checkStr($("#ALARM4L_VALUE").val(), 10);
    if (msg) {
        $.lrValidformMessage($("#ALARM4L_VALUE"), msg);
        $('#ALARM4L_VALUE').click();
        return false;
    }
    msg = checkStr($("#ALARM3L_VALUE").val(), 10);
    if (msg) {
        $.lrValidformMessage($("#ALARM3L_VALUE"), msg);
        $('#ALARM3L_VALUE').click();
        return false;
    }
    msg = checkStr($("#ALARM2L_VALUE").val(), 10);
    if (msg) {
        $.lrValidformMessage($("#ALARM2L_VALUE"), msg);
        $('#ALARM2L_VALUE').click();
        return false;
    }
    msg = checkStr($("#ALARM1L_VALUE").val(), 10);
    if (msg) {
        $.lrValidformMessage($("#ALARM1L_VALUE"), msg);
        $('#ALARM1L_VALUE').click();
        return false;
    }
    msg = checkStr($("#ALARM1H_VALUE").val(), 10);
    if (msg) {
        $.lrValidformMessage($("#ALARM1H_VALUE"), msg);
        $('#ALARM1H_VALUE').click();
        return false;
    }
    msg = checkStr($("#ALARM2H_VALUE").val(), 10);
    if (msg) {
        $.lrValidformMessage($("#ALARM2H_VALUE"), msg);
        $('#ALARM2H_VALUE').click();
        return false;
    }
    msg = checkStr($("#ALARM3H_VALUE").val(), 10);
    if (msg) {
        $.lrValidformMessage($("#ALARM3H_VALUE"), msg);
        $('#ALARM3H_VALUE').click();
        return false;
    }
    msg = checkStr($("#ALARM4H_VALUE").val(), 10);
    if (msg) {
        $.lrValidformMessage($("#ALARM4H_VALUE"), msg);
        $('#ALARM4H_VALUE').click();
        return false;
    }
    msg = checkStr($("#AL_GRP").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#AL_GRP"), msg);
        $('#AL_GRP').click();
        return false;
    }
    msg = checkStr($("#BL_GRP").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#BL_GRP"), msg);
        $('#BL_GRP').click();
        return false;
    }
    msg = checkStr($("#Time_Delay").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Time_Delay"), msg);
        $('#Time_Delay').click();
        return false;
    }
    msg = checkStr($("#Remarks").val(), 200);
    if (msg) {
        $.lrValidformMessage($("#Remarks"), msg);
        $('#Remarks').click();
        return false;
    }
    return true;
}